*{
    padding: 0;
    margin: 0;
}

body{
    background-color: #F5F7F8;
    font-family: 'Poppins', sans-serif;
}


/* #region ---------- Navbar Section ----------------------------- */
.navbar{
    height: 6vh;
    background-color: hsla(215, 55%, 24%, 0.9);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    position: fixed;    
    width: 100%;
    z-index: 100;
}
.navbar-brand {
    display: flex;
    align-items: center; 
}

.navbar-brand img {
    margin-right: 10px;
}

.navbar-toggler {
    border: none; /* Elimina el borde */
    background: none; /* Elimina el fondo */
    padding: 0; /* Ajusta el espacio interno */
    z-index: 2050; /* Asegura que el botón de menú esté por encima */
}

.navbar-toggler:focus {
    outline: none; /* Elimina el contorno de enfoque */
    box-shadow: none; /* También elimina cualquier sombra */
}

.navbar-collapse {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    border-radius: 0px 10px 0px 0px;
    border-top: 2px solid #4355F0;
    border-right: 2px solid #4355F0;
    background: rgba(245, 247, 248, 0.90);
    width: 70vw;
    z-index: 1040; /* Asegura que el menú esté encima del fondo oscuro */
    transform: translateX(-100%);
    transition: transform 0.5s ease-in-out;
}

.navbar-collapse.show {
    transform: translateX(0);
}

.navbar-nav{
    margin-top: 70px;
}

.navbar-nav .nav-link {
    color: white;
    padding: 20px 20px;
    background-color: #1B365D;
    margin-bottom: 10px;
}

/* Personaliza las líneas del icono */
.navbar-toggler-icon {
    /* filter: invert(1);  */
    width: 45px; 
    height: 30px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3E%3Cpath stroke='white' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}
/* .navbar-toggler:not(.collapsed) .navbar-toggler-icon {
    filter: invert(0) sepia(1) saturate(5) hue-rotate(0deg); 
} */
/* #endregion */

/* #region ---------- Hero Section ---------------------------- */
#heroSection {
    background-image: url(/images/home/hero2.png);
    height: 92vh;
    background-size: cover;
    background-position: center;
    padding: 80px 0;
}

.cardCustom {    
    border: 1px solid #1B365D;
    background: rgba(255, 255, 255, 0.70);
    box-shadow: 0px 0px 27.2px 3px rgba(0, 0, 0, 0.25);
    width: 70%;
    height: 27vh;
}
/* #endregion */

/* #region ---------- Steps Section --------------------------- */
#barrita{
    height: 7vh;
    background:  #4355F0;
}
.stepImg{
    width: 36px; 
    height: 36px;
}

.paso{
    color: white;
}


/* #endregion */

/* #region ---------- Mobile App Section ---------------------- */
#sectionMobileApp{
    height:60vh;
    padding: 3rem;
}

.mockup{
    height: 100%;
    padding-left: 1.5rem;

    img{
        height: 50vh;
    }
}

.contenedorTexto{
    justify-content: space-evenly;
    height: 100%;
    align-items: center;
    display: flex;
    flex-direction: column;
    padding-right: 1.5rem;
}

.textAppSection{
    font-size: 70px; 
    font-weight: 700;
    line-height: 1.1;    
}

.subtextAppSection{
    font-size: 25px; 
}
/* #endregion */

/* #region ---------- Section ToPlayer & ToPredio ------------- */
#sectionToPlayer{
    background-color: #1B365D; 
    color: white;

    h2{
        font-size: clamp(23px, 2vw, 40px);
    }
}

.cajitaToPlayer{
    display: flex;
}

#sectionToPredio{
    background-color: #2A5DF4; 
    color: white;

    h2{
        font-size: clamp(21px, 2vw, 40px);
    }
}

.tituloPara{
    font-size: clamp(21px, 2vw, 40px);
}

.infoPara{
    font-size: clamp(16px, 1vw, 30px);
}

.iconoToPredio{
    height: 6vw;
}
/* #endregion */

/* #region ---------- Section Steps Detail -------------------- */
#sectionStepsDetail{
    background-color: #ffffff;
}

.linea{
    border-bottom: 3px solid #2A5DF4; 
    padding-bottom: 10px;  
    width: 16vw; 
    margin: 0 auto;
}

.infoStep{
    font-size: 20px;
    font-weight: 400; 
    margin-top: 20px;
    line-height: 2;   
}

.iconBox img{
    height: 40px;
    width: 40px;
    margin-bottom: 1rem;
}
/* #endregion */

/* #region   -------- Map Section ----------------------------- */
#mapSection{
    height: 70vh;
    background-image: url(/images/home/backSumate.png);
    background-size: cover;
    padding: auto; 
}

.communityBox{
    background: rgba(174, 174, 174, 0.40);
    border-radius: 5px; 
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(7.5px);
    width: 35vw;
    height: 40vh;
    padding: 40px 20px;
}

.mapSectionTitle{
    font-size: clamp(25px, 3vw, 40px);
    line-height: 35px;
}

.mapSectionInfo{
    font-size: clamp(18px, 2vw, 25px);
}
/* #endregion */

/* #region ---------- Footer Section -------------------------- */
footer{
    padding: 1.5rem 0;
}

footer a{
    text-decoration: none;

}

.logoFooter{
    height:60px; 
    width: 60px;
}

.nombreFooter{
    margin-top: .25rem;
    color: #202020;
    font-weight: 900;
}

.opcionesFooter{
    text-align: center;
}
/* #endregion */

/* #region ---------- Copyright Section ----------------------- */
#copyright{
    height: 5vh;
    background-color: #001A48;
    color: #f5f5f5;
    align-items: center;
    justify-content: center;
    display: flex;
    font-size: clamp(20px, 1vw, 2.5rem);
}
/* #endregion */

/* #region -----------EXTRAS -----------------------------------*/
    .resaltado{
        color: #4355F0;
    }

    .btn-primary{
        border-radius: 5px;
        border: 1px solid #F5F7F8;
        background: linear-gradient(97deg, #43C2F0 0%, #43A3F0 28%, #4355F0 100%);
        color: white;
    }
        .btn-primary:hover{
            border: 2px solid var(--2192FF, #1B365D);
            background: #F5F7F8;
            color:#001A48;
        }

    .btn-secondary{
        border-radius: 5px;
        border: 1px solid #F5F7F8;
        color: white;
    }
        .btn-secondary:hover{
            border: 2px solid #1B365D;
            background: #F5F7F8;
        }

    .btn-tertiary{
        border-radius: 5px;
        border: 2px solid var(--2192FF, #1B365D);
        background: #F5F7F8;    
    }
        .btn-tertiary:hover{
            border: 2px solid #1B365D;
            background: #1B365D;
            color: white;
        }

    .nombre{
        font-weight: 900;
        font-size: 15px;
    }
/* #endregion */


/* MEDIA */
@media (max-width:1000px){
    #heroSection {
        background-image: url(/images/home/homeMobile.png);
    }

    .mockup img{
        height: 80%;
    }

    .textAppSection{
        font-size: clamp(25px, 6vw, 70px); 
    }

    .subtextAppSection{
        font-size:  clamp(20px, 2vw, 39px); 
    }

/* #region ---------- Section ToPlayer & ToPredio ------------------------ */
    #sectionToPlayer{
        background-image: url("/images/home/backParaJugadores.png"); 
        background-size: cover;
        padding: 30px 20px;
        height: 40vh;
    }

    .cajitaToPlayer {
        flex-direction: column;
    }

    .textoToPlayer{
        width: 90vw !important;
    }
    
    #sectionToPredio{
        background-image: url("/images/home/backParaPredios.png"); 
        background-size: cover;
        padding: 30px 20px;
        height: 40vh;
    }

    #sectionToPredio, #sectionToPlayerow r h2{
        font-size: 20px;
    }

    .imagenTo{
        display: none;
    }

    .iconoToPredio{
        height: 60px;
    }
    
    .tituloPara{
        font-size: 25px;
    }
    
    .infoPara{
        font-size: 15px;
    }
/* #endregion */

    .infoStep{
        font-size: clamp(16px, 1vw, 1rem);
    }

    .communityBox{
        width: 55vw;
        height: 30vh;
        padding: 40px 20px;
    }
}

/* MOBILE */
@media (max-width: 650px) {
/* #region ---------- Navbar Section --------------------------- */
    .navbar{
        height: 7vh;
    }
/* #endregion */

/* #region ---------- Hero Section ----------------------------- */
    #heroSection {
        background-image: url(/images/home/homeMobile.png);
        height: 80vh;
    }
    .cardCustom {  
        height: 250px;
        width: 90%;
        
        h1{
            font-size: clamp(15px, 7vw, 38px);
        }
    }
/* #endregion */

/* #region ---------- Steps Section ---------------------------- */
    #barrita{
        justify-content: space-around;

        h5{
            display: none;
        }
    }

    .comboPaso{
        margin: 0 5vw;
    }
/* #endregion */

/* #region ---------- Mobile App Section ----------------------- */
    #sectionMobileApp{
        height: 400px;
        padding: 0;

        img{
            height: 220px;
            width: 160px;
        }
    }

    .mockup{
        padding-left: 0;
    }

    .textAppSection{
        font-size: clamp(15px, 7vw, 38px); 
        padding-bottom: 1rem;
    }

    .subtextAppSection {
        /* font-size: clamp(16px, 2vw, 39px); */
        display: none;
    }
/* 
    .contenedorMobileApp{
        flex-direction: row-reverse;
    } */

    .contenedorTexto{
        justify-content: center;
        padding-right: 0;
    }
/* #endregion */

/* #region ---------- Section ToPlayer & ToPredio -------------- */
    #sectionToPlayer, #sectionToPredio {
        height: 400px;

        h2 {
            font-size: clamp(16px, 5vw, 18px);
        }
    } 

    .tituloPara{
        font-size: clamp(16px, 5vw, 28px);
        line-height: 1.2;   
        margin-top: 1rem !important;
    }
    
    .infoPara{
        font-size: clamp(14px, 3vw, 18px);
    }

    .iconoToPredio{
        height: 48px;
        margin: 0 !important;
    }

    .textoToPlayer {
        width: 80vw !important;
    }

/* #endregion */

/* #region ---------- Section Steps Detail --------------------- */
    .linea{
        width: 32vw; 
    }

    .iconBox{
        padding: 0 5vw;
        margin-top: 5vh;
    }

    .infoStep{
        font-size: 15px;
        padding-top: 10px;
        line-height: 2;   
    }

    .iconBox img{
        height: 40px;
        width: 40px;
        margin-bottom: .5rem;
    }

    .iconBox h3{
        font-size: 20px;
        font-weight: 900;
    }
/* #endregion */

/* #region ---------- Map Section ------------------------------ */
      .communityBox{
        width: 80vw;
        height: 300px;
    }

    .mapSectionTitle{
        font-size: 20px;
        line-height: 25px;
    }

    .mapSectionInfo{
        font-size: 15px;
        margin-bottom: 1.5rem;
    }
/* #endregion */

/* #region ---------- Footer Section --------------------------- */
    footer{
        margin-top: 1.5rem;
    }
    .opcionesFooter{
        margin: 1.5rem 0;
    }

    .logoFooter{
        height:40px; 
        width: 40px;
    }
/* #endregion */

/* #region ---------- Copyright Section ------------------------ */
    #copyright{
        height: 7vh;
        font-size: 12px;
    }
/* #endregion */

/* #region------------EXTRAS ----------------------------------- */
    .nombre{
        font-size: 12px;
    }

    .resaltado{
        font-size: clamp(15px, 7vw, 38px);
        font-weight: 900;
    }
/* #endregion */
}